2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update freetext component

Prev Next
Patch
/freetext-components/{id}/

Operation is used to update freetext component. Available from product version 2025.3. Supports partial updates (PATCH) for modifying specific fields.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of freetext component to update

Body parameters

Freetext component fields to be updated

object

FreeTextComponent for create/update operations

angle
number (float)

Component rotation angle in degrees

component_type
string Required

Component type (symbol, container, referenceline)

Valid values[ "symbol", "container", "referenceline" ]
Examplesymbol
fill_color
string Required

Fill color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#00FF00
fill_opacity
integer Required

Fill opacity (0-100)

freetext
integer Required

ID of related freetext

location
string (ewkt) Required

Geographical location as EWKT representation

stroke_color
string Required

Stroke color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#FF0000
symbol_name
string

Symbol name for point components. Can only be provided when component_type is 'symbol'

Valid values[ "circle", "triangle" ]
Examplecircle
Responses
200

Updated freetext component

object

FreeTextComponent for create/update operations

angle
number (float)

Component rotation angle in degrees

component_type
string

Component type (symbol, container, referenceline)

Valid values[ "symbol", "container", "referenceline" ]
Examplesymbol
fill_color
string

Fill color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#00FF00
fill_opacity
integer

Fill opacity (0-100)

freetext
integer

ID of related freetext

id
integer

Unique id of free text component

location
string (ewkt)

Geographical location as EWKT representation

stroke_color
string

Stroke color in hex format (e.g.,

Pattern^#[0-9a-fA-F]{6}$
Example#FF0000
symbol_name
string

Symbol name for point components. Can only be provided when component_type is 'symbol'

Valid values[ "circle", "triangle" ]
Examplecircle
400

There was an error in request. Usually field validation failed.

{
  "fill_opacity": [
    "Ensure this value is between 0 and 100."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object
details
string

Detailed description of error